  
CREATE or alter  PROCEDURE [dbo].[sp_StokKart_Aktar]  
(  
    @Hedef  SYSNAME,  
 @Kaynak   SYSNAME,  
 @StokNo     nvarchar(max)  
)  
  
AS   
BEGIN  
 SET NOCOUNT ON;  
  
 -- Gerekten bu veritabanlar sistemde var mdr, buna bakyoruz. sqlinjection da engellenmi oluyor.  
 SELECT @Hedef = name  
 FROM sys.databases  
 WHERE name = @Hedef;  
  
 SELECT @Kaynak = name  
 FROM sys.databases  
 WHERE name = @Kaynak;  
  
 DECLARE @Query nvarchar(MAX);  
  
 SET @Query = 'DELETE FROM '+@Hedef+'.dbo.STOKKARTI WHERE StokNo in (Select StokNo from '+@Kaynak+'.dbo.STOKKARTI where StokNo in ('+@StokNo+'))';  
    EXEC sp_executesql @Query;  
  
 SET @Query = 'INSERT INTO ' + @Hedef + '.dbo.[STOKKARTI]   
     ( StokNo, Kodu, UreticiFirmaKodu, StokAdi, OzelKod1, OzelKod2, AnaBirim, Barkodu,AlisKdv, SatisKdv, Indirim, StokAdedi,F1Adi, F2Adi, F3Adi, F4Adi, F1Fiyat, F2Fiyat, F3Fiyat, F4Fiyat, F1Kdv, F2Kdv, F3Kdv, F4Kdv,   
     GrupAdi, UrtNo, UrtMiktar,AsgariAdet, AzamiAdet, OTVOrani, StokEn, StokBoy, StokYuksekligi, StokKilo, StokRenkKodu, KULNO, KULADI, TP, UygFiyat,   
     Aciklama, Departman, AlisIndirimYuzde, SatisIndirimYuzde, OTVTutari, DepartmanKodu, F1DovizKodu, F2DovizKodu, F3DovizKodu, F4DovizKodu, Update_Date, TeraziTusu, YKasaTusu, Secim, AnaStokKodu, Ambalaj,   
     StokKiloBrut, StokTipi, StokOzellikKodu, AktifPasif, OzelBarkod, Olcu, AlisIndirimYuzde2, AlisIndirimYuzde3, AlisIndirimYuzde4, SatisIndirimYuzde2, SatisIndirimYuzde3, SatisIndirimYuzde4, MuadilStokNo, BonusPuani,   
     BonusPuaniSatici, OlmasiGerekenAdet, PrimYuzde, StokBedenNo, StokRenkBedenCalisir, WASG, WebGrupAdi, SKFIK, GrupOzelKod1, GrupOzelKod2, GrupOzelKod3, GrupOzelKod4, OrjinalKodu, StokAdi2, Aciklama2,   
     WebGrupAdi2, StokAgirlik, StokMaxAgirlik, StokMinAgirlik, AltGrupAdi, AltGrupAdi2, SeriNoTakibi, IRKI, SuniTohum, OzelKod3, OzelKod4, Icmal, SatisFiyatiDegistirilemez, A_Muh_Kodu, S_Muh_Kodu, FireOrani,   
     WebdeGosterilsinmi, TarimElTerminliGosterilsinmi, AltGrupAdi3, AdetTakibi, LotTakibi, UlkeKodu, TevkifatKodu)   
    SELECT StokNo, Kodu, UreticiFirmaKodu, StokAdi, OzelKod1, OzelKod2, AnaBirim, Barkodu,AlisKdv, SatisKdv, Indirim, StokAdedi,F1Adi, F2Adi, F3Adi, F4Adi, F1Fiyat, F2Fiyat, F3Fiyat, F4Fiyat, F1Kdv, F2Kdv, F3Kdv, F4Kdv,   
      GrupAdi, UrtNo, UrtMiktar,AsgariAdet, AzamiAdet, OTVOrani, StokEn, StokBoy, StokYuksekligi, StokKilo, StokRenkKodu, KULNO, KULADI, TP, UygFiyat,   
      Aciklama, Departman, AlisIndirimYuzde, SatisIndirimYuzde, OTVTutari, DepartmanKodu, F1DovizKodu, F2DovizKodu, F3DovizKodu, F4DovizKodu, Update_Date, TeraziTusu, YKasaTusu, Secim, AnaStokKodu, Ambalaj,   
      StokKiloBrut, StokTipi, StokOzellikKodu, AktifPasif, OzelBarkod, Olcu, AlisIndirimYuzde2, AlisIndirimYuzde3, AlisIndirimYuzde4, SatisIndirimYuzde2, SatisIndirimYuzde3, SatisIndirimYuzde4, MuadilStokNo, BonusPuani,   
      BonusPuaniSatici, OlmasiGerekenAdet, PrimYuzde, StokBedenNo, StokRenkBedenCalisir, WASG, WebGrupAdi, SKFIK, GrupOzelKod1, GrupOzelKod2, GrupOzelKod3, GrupOzelKod4, OrjinalKodu, StokAdi2, Aciklama2,   
      WebGrupAdi2, StokAgirlik, StokMaxAgirlik, StokMinAgirlik, AltGrupAdi, AltGrupAdi2, SeriNoTakibi, IRKI, SuniTohum, OzelKod3, OzelKod4, Icmal, SatisFiyatiDegistirilemez, A_Muh_Kodu, S_Muh_Kodu, FireOrani,   
      WebdeGosterilsinmi, TarimElTerminliGosterilsinmi, AltGrupAdi3, AdetTakibi, LotTakibi, UlkeKodu, TevkifatKodu  
    FROM ' + @Kaynak + '.dbo.[STOKKARTI] S WHERE S.StokNo in ('+@StokNo+')';  
        
   EXEC sp_executesql @Query;  
END;  
go

CREATE or alter  PROCEDURE [dbo].[sp_StokBarkodlari_Aktar]  
(  
    @Hedef  SYSNAME,  
 @Kaynak   SYSNAME,  
 @StokNo     nvarchar(max)  
)  
  
AS   
BEGIN  
 SET NOCOUNT ON;  
  
 -- Gerekten bu veritabanlar sistemde var mdr, buna bakyoruz. sqlinjection da engellenmi oluyor.  
 SELECT @Hedef = name  
 FROM sys.databases  
 WHERE name = @Hedef;  
  
 SELECT @Kaynak = name  
 FROM sys.databases  
 WHERE name = @Kaynak;  
  
 DECLARE @Query nvarchar(MAX);  
  
 SET @Query = 'DELETE FROM '+@Hedef+'.dbo.StokBarkodlari WHERE StokNo in (Select StokNo from '+@Kaynak+'.dbo.StokBarkodlari where StokNo in ('+@StokNo+'))';  
    EXEC sp_executesql @Query;  
  
 SET @Query = 'INSERT INTO ' + @Hedef + '.dbo.[StokBarkodlari]   
     (StokKodu, Barkodu, KulNo, Carpani, UpdateDate, StokNo,AnaBirim,Birim)     
     SELECT  StokKodu, Barkodu, KulNo, Carpani, UpdateDate, StokNo,AnaBirim,Birim  
     FROM ' + @Kaynak + '.dbo.[StokBarkodlari] S WHERE S.StokNo in ('+@StokNo+')';  
        
   EXEC sp_executesql @Query;  
END;  
go

CREATE  or alter PROCEDURE [dbo].[sp_StokFiyat_Aktar]  
(  
    @Hedef  SYSNAME,  
 @Kaynak   SYSNAME,  
 @StokNo     nvarchar(max)  
)  
  
AS   
BEGIN  
 SET NOCOUNT ON;  
  
 -- Gerekten bu veritabanlar sistemde var mdr, buna bakyoruz. sqlinjection da engellenmi oluyor.  
 SELECT @Hedef = name  
 FROM sys.databases  
 WHERE name = @Hedef;  
  
 SELECT @Kaynak = name  
 FROM sys.databases  
 WHERE name = @Kaynak;  
  
 DECLARE @Query nvarchar(MAX);  
  
 SET @Query = 'DELETE FROM '+@Hedef+'.dbo.StokFiyat WHERE StokNo in (Select StokNo from '+@Kaynak+'.dbo.StokFiyat where StokNo in ('+@StokNo+'))';  
    EXEC sp_executesql @Query;  
  
 SET @Query = 'INSERT INTO ' + @Hedef + '.dbo.[StokFiyat]   
     (  Kodu, F1Adi, F2Adi, F3Adi, F4Adi, F5Adi, F6Adi, F7Adi, F8Adi, F9Adi, F10Adi, F11Adi, F12Adi, F13Adi, F14Adi, F15Adi, F16Adi, F17Adi, F18Adi, F19Adi, F20Adi, F1Fiyat, F2Fiyat, F3Fiyat, F4Fiyat, F5Fiyat, F6Fiyat, F7Fiyat, F8Fiyat,   
                         F9Fiyat, F10Fiyat, F11Fiyat, F12Fiyat, F13Fiyat, F14Fiyat, F15Fiyat, F16Fiyat, F17Fiyat, F18Fiyat, F19Fiyat, F20Fiyat, F1Kdv, F2Kdv, F3Kdv, F4Kdv, F5Kdv, F6Kdv, F7Kdv, F8Kdv, F9Kdv, F10Kdv, F11Kdv, F12Kdv, F13Kdv,   
                         F14Kdv, F15Kdv, F16Kdv, F17Kdv, F18Kdv, F19Kdv, F20Kdv, KULNO, KULADI, F1DovizKodu, F2DovizKodu, F3DovizKodu, F4DovizKodu, F5DovizKodu, F6DovizKodu, F7DovizKodu, F8DovizKodu, F9DovizKodu, F10DovizKodu,   
                         F11DovizKodu, F12DovizKodu, F13DovizKodu, F14DovizKodu, F15DovizKodu, F16DovizKodu, F17DovizKodu, F18DovizKodu, F19DovizKodu, F20DovizKodu, F1FiyatH, F2FiyatH, F3FiyatH, F4FiyatH, F5FiyatH, F6FiyatH,   
                         F7FiyatH, F8FiyatH, F9FiyatH, F10FiyatH, F11FiyatH, F12FiyatH, F13FiyatH, F14FiyatH, F15FiyatH, F16FiyatH, F17FiyatH, F18FiyatH, F19FiyatH, F20FiyatH, SatisKdv, IslemNo, DF, Update_Date, StokNo)   
    SELECT  Kodu, F1Adi, F2Adi, F3Adi, F4Adi, F5Adi, F6Adi, F7Adi, F8Adi, F9Adi, F10Adi, F11Adi, F12Adi, F13Adi, F14Adi, F15Adi, F16Adi, F17Adi, F18Adi, F19Adi, F20Adi, F1Fiyat, F2Fiyat, F3Fiyat, F4Fiyat, F5Fiyat, F6Fiyat, F7Fiyat, F8Fiyat,   
                         F9Fiyat, F10Fiyat, F11Fiyat, F12Fiyat, F13Fiyat, F14Fiyat, F15Fiyat, F16Fiyat, F17Fiyat, F18Fiyat, F19Fiyat, F20Fiyat, F1Kdv, F2Kdv, F3Kdv, F4Kdv, F5Kdv, F6Kdv, F7Kdv, F8Kdv, F9Kdv, F10Kdv, F11Kdv, F12Kdv, F13Kdv,   
                         F14Kdv, F15Kdv, F16Kdv, F17Kdv, F18Kdv, F19Kdv, F20Kdv, KULNO, KULADI, F1DovizKodu, F2DovizKodu, F3DovizKodu, F4DovizKodu, F5DovizKodu, F6DovizKodu, F7DovizKodu, F8DovizKodu, F9DovizKodu, F10DovizKodu,   
                         F11DovizKodu, F12DovizKodu, F13DovizKodu, F14DovizKodu, F15DovizKodu, F16DovizKodu, F17DovizKodu, F18DovizKodu, F19DovizKodu, F20DovizKodu, F1FiyatH, F2FiyatH, F3FiyatH, F4FiyatH, F5FiyatH, F6FiyatH,   
                         F7FiyatH, F8FiyatH, F9FiyatH, F10FiyatH, F11FiyatH, F12FiyatH, F13FiyatH, F14FiyatH, F15FiyatH, F16FiyatH, F17FiyatH, F18FiyatH, F19FiyatH, F20FiyatH, SatisKdv, IslemNo, DF, Update_Date, StokNo  
    FROM ' + @Kaynak + '.dbo.[StokFiyat] S WHERE S.StokNo in ('+@StokNo+')';  
        
   EXEC sp_executesql @Query;  
END;  
go

CREATE OR ALTER PROCEDURE [dbo].[sp_Stok_Aktar]  
(  
   @Hedef  SYSNAME,  
   @Kaynak SYSNAME,  
   @StokNo nvarchar(max)  
)  
  
AS   
BEGIN  
 DECLARE @Query nvarchar(MAX); 
 SET @Query = 'ALTER TABLE  '+@Hedef+'.dbo.STOKKARTI NOCHECK CONSTRAINT ALL' + Char(13);
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.StokFiyat NOCHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.StokBarkodlari NOCHECK CONSTRAINT ALL'+ Char(13); 
 EXEC sp_executesql @Query;  

 exec sp_StokKart_Aktar @Hedef,@Kaynak,@StokNo;  
 exec sp_StokFiyat_Aktar @Hedef,@Kaynak,@StokNo;  
 exec sp_StokBarkodlari_Aktar @Hedef,@Kaynak,@StokNo;  

 SET @Query = 'ALTER TABLE  '+@Hedef+'.dbo.STOKKARTI CHECK CONSTRAINT ALL'+ Char(13);  
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.StokFiyat CHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.StokBarkodlari CHECK CONSTRAINT ALL'+ Char(13); 
 EXEC sp_executesql @Query; 
END;

GO 

CREATE OR ALTER PROCEDURE [dbo].[sp_Cari_Aktar]  
(  
    @Hedef  SYSNAME,  
	@Kaynak SYSNAME,  
	@MusNo  nvarchar(max)  
)  
  
AS   
BEGIN  
 DECLARE @Query nvarchar(MAX); 
 SET @Query = 'ALTER TABLE  '+@Hedef+'.dbo.AMUSTERI NOCHECK CONSTRAINT ALL' + Char(13);
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.AMusteri1 NOCHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.Adres NOCHECK CONSTRAINT ALL'+ Char(13); 
 EXEC sp_executesql @Query;  
  
 exec sp_AMUSTERI_Aktar @Hedef,@Kaynak,@MusNo;  
 exec sp_AMusteri1_Aktar @Hedef,@Kaynak,@MusNo;  
 exec sp_Adres_Aktar @Hedef,@Kaynak,@MusNo;  
  
 SET @Query = 'ALTER TABLE  '+@Hedef+'.dbo.AMUSTERI CHECK CONSTRAINT ALL' + Char(13);
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.AMusteri1 CHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.Adres CHECK CONSTRAINT ALL'+ Char(13); 
 EXEC sp_executesql @Query;  
END;

GO

CREATE OR ALTER PROCEDURE [dbo].[sp_Fatura_Aktar]  
(  
    @Hedef   SYSNAME,  
	@Kaynak  SYSNAME,  
	@IslemNo nvarchar(max)  
)  
  
AS   
BEGIN  
ALTER TABLE STOKHAR NOCHECK CONSTRAINT ALL  
ALTER TABLE ACARI NOCHECK CONSTRAINT ALL  

 DECLARE @Query nvarchar(MAX); 
 SET @Query = 'ALTER TABLE  '+@Hedef+'.dbo.STOKHAR NOCHECK CONSTRAINT ALL' + Char(13);
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.STOKHARDETBAG NOCHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.ACARI NOCHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.KASA NOCHECK CONSTRAINT ALL'+ Char(13); 
 EXEC sp_executesql @Query;  
  
 exec sp_STOKHARDETBAG_Aktar @Hedef,@Kaynak,@IslemNo;  
 exec sp_STOKHAR_Aktar @Hedef,@Kaynak,@IslemNo;  
 exec sp_ACARI_Aktar @Hedef,@Kaynak,@IslemNo;  
 exec sp_KASA_Aktar @Hedef,@Kaynak,@IslemNo;  
 exec sp_Odeme_Aktar @Hedef,@Kaynak,@IslemNo;  
  
 SET @Query = 'ALTER TABLE  '+@Hedef+'.dbo.STOKHAR CHECK CONSTRAINT ALL' + Char(13);
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.STOKHARDETBAG CHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.ACARI CHECK CONSTRAINT ALL'+ Char(13); 
 SET @Query = @Query +'ALTER TABLE  '+@Hedef+'.dbo.KASA CHECK CONSTRAINT ALL'+ Char(13); 
 EXEC sp_executesql @Query;  
END;